Bug 158940 - [NEW PORT] devel/py-pytest: Cross-project testing tool for Python
Summary: [NEW PORT] devel/py-pytest: Cross-project testing tool for Python
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-15 09:30 UTC by R.Mahmatkhanov
Modified: 2011-08-08 20:20 UTC (History)
0 users

See Also:


Attachments
file.shar (8.74 KB, text/plain)
2011-07-15 09:30 UTC, R.Mahmatkhanov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description R.Mahmatkhanov 2011-07-15 09:30:05 UTC
py.test is a simple and popular testing tool for Python.

WWW:   http://pytest.org/



This port should be commited AFTER ports/158939!

py.test was a part of pylib (devel/py-pylib) before, then it was moved into own project.

tinderbuild log (8.2-RELEASE):
http://happy-nation.by.ru/ports/tb/py27-pytest-2.1.0.log

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-07-15 09:30:17 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2011-07-17 07:01:39 UTC
State Changed
From-To: open->open

At miwi's request, put this back into the pool. 


Comment 3 Mark Linimon freebsd_committer freebsd_triage 2011-07-17 07:01:39 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs
Comment 4 Pav Lucistnik freebsd_committer 2011-08-08 20:14:34 UTC
State Changed
From-To: open->closed

New port added, thanks